package com.platform.dao.custom;

import com.platform.entity.SysUserBrand;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 系统用户与品牌绑定关系表 Mapper 接口
 * </p>
 *
 * @author abner
 * @since 2020-11-20
 */
public interface MySysUserBrandDao extends BaseMapper<SysUserBrand> {

    public List<String> getBindUserName(@Param("brandId") long brandId);

    public List<SysUserBrand>  getBrandBindUserIdList(@Param("brandId") long brandId);
    /**
     * 根据用户ID，获取角色ID列表
     */
    List<Long> queryBrandIdList(Long userId);

    List<SysUserBrand> queryList(@Param("userId") Long userId);


    void unbindUserByBrandId(@Param("brandId")Integer brandId,@Param("userIdList") List<Long> userIdList);
}
